Home | All Classes | Grouped Classes | Index | Search

# CL_LineMath::point_right_of_line

Return [<0, 0, >0] if the Point P is right, on or left of the line trough A,B

    	float point_right_of_line(
    		float x, float y, float* line);

    	float point_right_of_line(
    		float x, float y, float line_x1, float line_y1, float line_x2, float line_y2);

    	float point_right_of_line(
    		const CL_Pointf& A, const CL_Pointf& B, const CL_Pointf& P);

Parameters:

float x
  x coordinate of the point being tested.
float y
  y coordinate of the point being tested.
float *line
  The line. A pointer to a float array with the elements {x1,y1,x2,y2}.
float line_x1, line_y1
  First point defining the line.
float line_x2, line_y2
  Second point defining the line.
CL_Pointf P
  Test point.
CL_Pointf A
  First point defining the line.
CL_Pointf B
  Second point defining the line.

See also:

CL_LineMath | CL_Pointf | CL_Point

Questions or comments, write to the ClanLib mailing list.